Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift
Class ValidatingOTDRegistry

    java.lang.Object
      com.stc.swift.ValidatingOTDRegistry

    public class ValidatingOTDRegistry

extends java.lang.Object

use this to distinguish a regular MT OTD from a validating MT OTD - which has MFVR or MPR applicable to them

Constructor Summary
`ValidatingOTDRegistry()`

Method Summary
`static java.util.Hashtable` | `getMTsByYear(java.lang.String year)`
`static java.lang.String` | `getSubGroupName(java.lang.String year, java.lang.String cat, java.lang.String otdName)`
`static java.util.List` | `getValidatingMTsByYear(java.lang.String year)`
`static boolean` | `isValidatingOTD(java.lang.String year, java.lang.String otdName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatingOTDRegistry

    public ValidatingOTDRegistry()

Method Detail

### getMTsByYear

    public static final java.util.Hashtable getMTsByYear(java.lang.String year)

### getValidatingMTsByYear

    public static final java.util.List getValidatingMTsByYear(java.lang.String year)

### isValidatingOTD

    public static final boolean isValidatingOTD(java.lang.String year,
                                                java.lang.String otdName)

### getSubGroupName

    public static final java.lang.String getSubGroupName(java.lang.String year,
                                                         java.lang.String cat,
                                                         java.lang.String otdName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.